=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR} 
                      ${KDE4_INCLUDE_DIR} 
-				     ${QT_INCLUDES} 
-				     ${CMAKE_CURRENT_SOURCE_DIR} 
-					 ${CMAKE_CURRENT_BINARY_DIR}
-					 ${TAGLIB_INCLUDE_DIR} )
+		     ${QT_INCLUDES} 
+		     ${CMAKE_CURRENT_SOURCE_DIR} 
+		     ${CMAKE_CURRENT_BINARY_DIR}
+		     ${TAGLIB_INCLUDE_DIR} )
 
 IF(EXIV2_FOUND)
   INCLUDE_DIRECTORIES( ${EXIV2_INCLUDE_DIR} )
@@ -25,13 +25,14 @@
   batchrenamer.cpp
   customdialog.cpp
   datetimeplugin.cpp
-  exiv2plugin.cpp
+  dirsortplugin.cpp
   exthistorycombo.cpp
   filedialogextwidget.cpp
   fileplugin.cpp
   increasecounterplugin.cpp
   krenamefile.cpp 
   krenameimpl.cpp 
+  krenamelistview.cpp
   krenamemodel.cpp
   krenametest.cpp
   krenamewindow.cpp
@@ -45,16 +46,32 @@
   previewlist.cpp
   progressdialog.cpp
   replacedialog.cpp
+  richtextitemdelegate.cpp
   scriptplugin.cpp
+  startupinfo.cpp
   systemplugin.cpp
-  taglibplugin.cpp
   tokenhelpdialog.cpp
   translitplugin.cpp
   )
 
+IF ( EXIV2_FOUND )
+  SET(krename_SRCS
+    ${krename_SRCS}
+    exiv2plugin.cpp
+    )
+ENDIF ( EXIV2_FOUND )
+
+IF ( TAGLIB_FOUND )
+  SET(krename_SRCS 
+    ${krename_SRCS}
+    taglibplugin.cpp
+    )
+ENDIF ( TAGLIB_FOUND )
+
 kde4_add_ui_files( krename_SRCS 
   customfilenamedlg.ui		
   datetimepluginwidget.ui
+  dirsortpluginwidget.ui
   increasecounterpluginwidget.ui
   guimodeselector.ui 
   partfilenamewidget.ui
@@ -69,6 +86,7 @@
   replaceitemdlg.ui
   scriptpluginwidget.ui
   scriptplugindialog.ui
+  startupinfowidget.ui
   tokenhelpwidget.ui
   )
