=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,11 @@
   INCLUDE_DIRECTORIES( ${EXIV2_INCLUDE_DIR} )
 ENDIF(EXIV2_FOUND)
 
-ADD_DEFINITIONS(${TAGLIB_CFLAGS} ${EXIV2_CFLAGS} ${KDE4_DEFINITIONS} )
+IF(LIBPODOFO_FOUND)
+  INCLUDE_DIRECTORIES( ${PODOFO_INCLUDES} )
+ENDIF(LIBPODOFO_FOUND)
+
+ADD_DEFINITIONS(${TAGLIB_CFLAGS} ${EXIV2_CFLAGS} ${LIBPODOFO_CFLAGS} ${KDE4_DEFINITIONS} )
 # Exiv2 needs exceptions
 ADD_DEFINITIONS(${KDE4_ENABLE_EXCEPTIONS})
 
@@ -68,6 +72,13 @@
     )
 ENDIF ( TAGLIB_FOUND )
 
+IF ( LIBPODOFO_FOUND )
+  SET(krename_SRCS 
+    ${krename_SRCS}
+    podofoplugin.cpp
+    )
+ENDIF ( LIBPODOFO_FOUND )
+
 kde4_add_ui_files( krename_SRCS 
   customfilenamedlg.ui		
   datetimepluginwidget.ui
@@ -108,22 +119,25 @@
 
 
 IF(EXIV2_FOUND)
-	TARGET_LINK_LIBRARIES(krename ${KDE4_KDECORE_LIBS} 
-                              ${KDE4_KDEUI_LIBS}
-						      ${KDE4_KIO_LIBS} 
-							  ${KDE4_KMETADATA}
-							  ${KDE4_KJSAPI_LIBS} 
-							  ${TAGLIB_LIBRARIES}
-							  ${EXIV2_LIBRARIES} )
+  TARGET_LINK_LIBRARIES(krename 
+    ${KDE4_KDECORE_LIBS} 
+    ${KDE4_KDEUI_LIBS}
+    ${KDE4_KIO_LIBS} 
+    ${KDE4_KMETADATA}
+    ${KDE4_KJSAPI_LIBS} 
+    ${TAGLIB_LIBRARIES}
+    ${LIBPODOFO_LIB}
+    ${EXIV2_LIBRARIES} )
 ELSE(EXIV2_FOUND)
-	TARGET_LINK_LIBRARIES(krename ${KDE4_KDECORE_LIBS} 
-                              ${KDE4_KDEUI_LIBS}
-						      ${KDE4_KIO_LIBS} 
-							  ${KDE4_KMETADATA}
-							  ${KDE4_KJSAPI_LIBS} 
-							  ${TAGLIB_LIBRARIES} )
+  TARGET_LINK_LIBRARIES(krename 
+    ${KDE4_KDECORE_LIBS} 
+    ${KDE4_KDEUI_LIBS}
+    ${KDE4_KIO_LIBS} 
+    ${KDE4_KMETADATA}
+    ${KDE4_KJSAPI_LIBS} 
+    {LIBPODOFO_LIB}
+    ${TAGLIB_LIBRARIES} )
 ENDIF(EXIV2_FOUND)
-
 
 # Others Files to install
