=== debian/changelog ===
krename (4.0.4-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #601865) Remaining changes:
    - Export KUBUNTU_NO_DELETE_POT=1 in debian/rules so that the l10n stuff
      doesn't break the build

 -- Bilal Akhtar <bilalakhtar96@yahoo.com>  Fri, 09 Jul 2010 09:35:41 +0300

krename (4.0.4-2) unstable; urgency=low

  * Add 03_skip_equal.diff to skip renaming if source and target filenames are
    equal. Thanks to Bastian Kleineidam. (Closes: #577473)

 -- Fathi Boudra <fabo@debian.org>  Mon, 28 Jun 2010 21:36:15 +0300

krename (4.0.4-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add Portuguese translation. Thanks to Américo Monteiro. (Closes: #567566)
  * Update debian/control:
    - bump build dependencies (debhelper, pkg-kde-tools and kdelibs5-dev).
    - add libpodofo-dev build dependency.
    - bump Standards-Version to 3.8.4 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 27 Jun 2010 10:01:46 +0300

krename (4.0.3-1ubuntu1) lucid; urgency=low

  * Export KUBUNTU_NO_DELETE_POT=1 in debian/rules so that the l10n stuff
    doesn't break the build

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 16 Feb 2010 18:50:25 -0500

krename (4.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #563848)

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 07 Jan 2010 09:09:58 -0600

krename (4.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sat, 14 Nov 2009 06:54:05 -0600

krename (4.0.0-1) unstable; urgency=low

  * New upstream release - First stable release for KDE 4.

  [Fathi Boudra]
  * Update debian/control:
    - bump debhelper and pkg-kde-tools build dependency versions.
    - bump Standards-Version to 3.8.3 (no changes needed).
  * Update debian/copyright: update Richard's Debian packaging copyright.
  * Cleanup debian/rules: use dh enhancement for kde.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Wed, 23 Sep 2009 01:21:26 -0500

krename (3.9.3-1) unstable; urgency=low

  * New upstream release.

  [Richard A. Johnson]
  * Update debian/control:
    - remove quilt build dependency (not needed).
    - add build dependency on libexiv2-dev.
  * Remove debian/docs as it is no longer needed.

  [Fathi Boudra]
  * Cleanup debian/rules: use dh. Thanks to debhelper 7.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 01 Jun 2009 16:55:40 -0500

krename (3.9.2-2) unstable; urgency=low

  * Add pkg-kde-tools build dependency.

 -- Fathi Boudra <fabo@debian.org>  Wed, 15 Apr 2009 10:39:52 +0200

krename (3.9.2-1) unstable; urgency=low

  * New upstream release. (Closes: #347621, #515455)
  * Bump compat to 7.
  * Update debian/control:
    - Bump debhelper to 7.
    - Add taglib build dependency.
    - Drop cdbs build dependency.
    - Bump Standards-Version to 3.8.1. No changes needed.
  * Update debian/copyright informations.
    Add modeltest source code copyrights.
  * Remove krename manpage. Outdated. (Closes: #501928)
  * Rewrite debian/rules.
  * Update debian/watch.

 -- Fathi Boudra <fabo@debian.org>  Sun, 12 Apr 2009 21:35:43 +0200

krename (3.9.0-1) unstable; urgency=low

  * Initial KDE 4 release.
  * Bump compat and debhelper to 6.
  * Adjust build dependencies to new build system.
  * Add Homepage, Vcs-Browser and Vcs-Svn fields.

 -- Fathi Boudra <fabo@debian.org>  Sun, 04 May 2008 12:12:22 +0200

krename (3.0.14-1) unstable; urgency=low

  * New Upstream Release (Closes: #402859, #423440)
  * Adopted Package - New Maintainer & Uploaders
  * debian/control:
    - Maintainer set to Debian KDE Extras Team
    - Richard A. Johnson set to uploaders
    - updated standards to version 3.7.2 - no changes necessary
    - updated build-dep debhelper >= 5 (changes to compat)
    - added libtool and automake1.10 to build-dep for Relibtoolization
    - added Krenames URL to description
  * debian/rules:
    - cleaned out commented lines
    - Relibtoolization at build time
  * Updated debian/copyright

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 17 May 2007 23:06:44 -0500

krename (3.0.9-2.1) unstable; urgency=low

  * NMU.
  * Remove build dependency on g++-3.4. Closes: #385835.

 -- Matthias Klose <doko@debian.org>  Sun,  3 Sep 2006 13:41:32 +0000

krename (3.0.9-2) unstable; urgency=low

  * No more Build-Depend on xlibs-dev

 -- Roman Kreisel <roman.kreisel@web.de>  Wed, 30 Nov 2005 13:46:48 +0100

krename (3.0.9-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Fri, 28 Oct 2005 21:56:34 +0200

krename (3.0.8-1) unstable; urgency=low

  * New upstream release (Closes: #329969)

 -- Roman Kreisel <roman.kreisel@web.de>  Sat, 24 Sep 2005 19:22:44 +0200

krename (3.0.7-4) unstable; urgency=low

  * Use GCC 3.4 on arm, m68k and hppa
  * updated manpage
  * Build-Dependency on xlibs-dev
  * moved from "utils - optional" to "kde - optional"

 -- Roman Kreisel <roman.kreisel@web.de>  Tue,  6 Sep 2005 01:30:57 +0200

krename (3.0.7-3) unstable; urgency=low

  * moved from dpatch to simple-patchsys of cdbs
  * Corrected a typo in copyright-file (wrong telephone-no. of fsf)
  * No more "0 errors occurred"-Message on successful operation. Fixed by
    upstream. (Closes: #309253)

 -- Roman Kreisel <roman.kreisel@web.de>  Fri,  2 Sep 2005 16:15:32 +0200

krename (3.0.7-2) unstable; urgency=low

  * Updated/corrected german translation (Closes: #313984)

 -- Roman Kreisel <roman.kreisel@web.de>  Fri,  2 Sep 2005 14:59:04 +0200

krename (3.0.7-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Mon, 29 Aug 2005 16:13:56 +0200

krename (3.0.6-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Thu, 18 Aug 2005 15:34:07 +0200

krename (3.0.4-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Thu, 21 Apr 2005 18:00:14 +0200

krename (3.0.3-2) unstable; urgency=low


