=== debian/control ===
Source: krename
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Richard A. Johnson <nixternal@ubuntu.com>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.15),
 kdelibs5-dev (>= 4:4.4.4), libexiv2-dev, libtag1-dev, libpodofo-dev
Standards-Version: 3.8.4
Homepage: http://www.krename.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/krename/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/krename/trunk

Package: krename
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: powerful batch renamer for KDE
 KRename is a very powerful batch file renamer for KDE which can rename a list
 of files based on a set of expressions. It can copy/move the files to another
 directory or simply rename the input files.
