=== debian/rules ===
#!/usr/bin/make -f

export KUBUNTU_NO_DELETE_POT=1

%:
	dh $@ --with kde

.PHONY: override_dh_auto_test
