=== debian/changelog ===
krename (4.0.5-1build1) natty; urgency=low

  * No changes upload for libexiv2-10 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 25 Jan 2011 12:47:14 +0100

krename (4.0.5-1) unstable; urgency=low

  * New upstream release.
  * Remove patches:
    - 01_portugese_translations_contrib.diff - merged upstream
    - 03_skip_equal.diff - merged upstream
  * Update debian/control:
    - add libfreetype6-dev build dependency.
    - bump Standards-Version to 3.9.1 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Dec 2010 13:50:31 +0200
