## krename 4.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
                       ${CMAKE_SOURCE_DIR}/cmake/modules )
 
 
-SET(KRENAME_VERSION "4.0.5")
+SET(KRENAME_VERSION "4.0.7")
 
 INCLUDE (KDE4Defaults)
 INCLUDE (MacroLibrary)
