=== debian/changelog ===
krename (4.0.7-1ubuntu1) oneiric-proposed; urgency=low

  * Fix crash on static initialization. (LP: #849882)

 -- Fathi Boudra <fabo@debian.org>  Wed, 19 Oct 2011 21:12:00 +0300

krename (4.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Thu, 03 Mar 2011 10:54:03 +0200

krename (4.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 20 Feb 2011 11:11:12 +0200
