=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: krename
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Richard A. Johnson <nixternal@ubuntu.com>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.15),
- kdelibs5-dev (>= 4:4.4.4), libexiv2-dev, libtag1-dev, libpodofo-dev
-Standards-Version: 3.8.4
+ kdelibs5-dev (>= 4:4.4.4), libexiv2-dev, libtag1-dev, libpodofo-dev,
+ libfreetype6-dev
+Standards-Version: 3.9.1
 Homepage: http://www.krename.net
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/krename/trunk
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/krename/trunk
