## krename 4.0.9

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,10 @@
 IF(LIBPODOFO_FOUND)
   INCLUDE_DIRECTORIES( ${PODOFO_INCLUDES} )
 ENDIF(LIBPODOFO_FOUND)
+
+IF(FREETYPE_FOUND)
+  INCLUDE_DIRECTORIES( ${FREETYPE_INCLUDE_DIR} )
+ENDIF(FREETYPE_FOUND)
 
 ADD_DEFINITIONS(${TAGLIB_CFLAGS} ${EXIV2_CFLAGS} ${LIBPODOFO_CFLAGS} ${KDE4_DEFINITIONS} )
 # Exiv2 needs exceptions
@@ -39,6 +43,7 @@
   krenamelistview.cpp
   krenamemodel.cpp
   krenametest.cpp
+  krenametokensorter.cpp
   krenamewindow.cpp
   modeltest.cpp
   numberdialog.cpp
@@ -55,7 +60,9 @@
   startupinfo.cpp
   systemplugin.cpp
   tokenhelpdialog.cpp
+  tokensortmodedialog.cpp
   translitplugin.cpp
+  snumplugin.cpp
   )
 
 IF ( EXIV2_FOUND )
@@ -79,6 +86,14 @@
     )
 ENDIF ( LIBPODOFO_FOUND )
 
+IF(FREETYPE_FOUND)
+  SET(krename_SRCS 
+    ${krename_SRCS}
+    fontplugin.cpp
+    )
+ENDIF(FREETYPE_FOUND)
+
+
 kde4_add_ui_files( krename_SRCS 
   customfilenamedlg.ui		
   datetimepluginwidget.ui
@@ -99,6 +114,7 @@
   scriptplugindialog.ui
   startupinfowidget.ui
   tokenhelpwidget.ui
+  tokensortmodedialog.ui
   )
 
 #kde4_automoc( ${krename_SRCS} )
@@ -127,6 +143,7 @@
     ${KDE4_KJSAPI_LIBS} 
     ${TAGLIB_LIBRARIES}
     ${LIBPODOFO_LIB}
+    ${FREETYPE_LIBRARIES}
     ${EXIV2_LIBRARIES} )
 ELSE(EXIV2_FOUND)
   TARGET_LINK_LIBRARIES(krename 
@@ -135,7 +152,8 @@
     ${KDE4_KIO_LIBS} 
     ${KDE4_KMETADATA}
     ${KDE4_KJSAPI_LIBS} 
-    {LIBPODOFO_LIB}
+    ${LIBPODOFO_LIB}
+    ${FREETYPE_LIBRARIES}
     ${TAGLIB_LIBRARIES} )
 ENDIF(EXIV2_FOUND)
