=== debian/changelog ===
krename (4.0.9-3) unstable; urgency=low

  * Team upload.
  * Bump to the debhelper 9 compatibility:
    - bump the debhelper build dependency to >= 9~
    - bump compat to 9
  * Fix Vcs-* headers.
  * Enable parallel build.
  * Link in as-needed mode.
  * Add the pkg-config build dependency.
  * Bump Standards-Version to 3.9.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 25 Dec 2013 19:24:27 +0100

krename (4.0.9-2) unstable; urgency=low

  * Fix FTBFS caused by freetype includes (Closes: #719395)

 -- Fathi Boudra <fabo@debian.org>  Sat, 16 Nov 2013 12:57:14 +0200

krename (4.0.9-1) unstable; urgency=low

  * New upstream release:
    - fix segfauls on startup. (Closes: #653892)
    - fix crash with SIGSEGV in __libc_csu_init(). (LP: #849882, #903593)

 -- Fathi Boudra <fabo@debian.org>  Mon, 02 Jan 2012 11:29:13 +0200

krename (4.0.7-2) unstable; urgency=low

  * Add find_libpodofo.patch to build with podofo support. (LP: #889425)

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 13:14:09 +0200
