=== debian/control ===
Source: krename
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Richard A. Johnson <nixternal@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 9~),
               kdelibs5-dev (>= 4:4.4.4),
               libexiv2-dev,
               libfreetype6-dev,
               libpodofo-dev,
               libtag1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.6.15)
Standards-Version: 3.9.5
Homepage: http://www.krename.net
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/krename/trunk
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/krename/trunk

Package: krename
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: powerful batch renamer for KDE
 KRename is a very powerful batch file renamer for KDE which can rename a list
 of files based on a set of expressions. It can copy/move the files to another
 directory or simply rename the input files.
