=== debian/watch ===
version=3
http://sf.net/krename/krename-(.*)\.tar\.bz2
