=== debian/changelog ===
krename (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - remove --parallel for dh, as now done by default
  * Switch the transitional libfreetype6-dev build dependency to
    libfreetype-dev.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Backport upstream commits ec90823494f5ec9bb2e8098f44209f383ef8c22a, and
    b22de9135ba2a5abdbd2b275a60933a50f074010 to properly detect exiv2 >= 0.27,
    and build with it; patches
    upstream_Use-cmakedefine01-instead-of-macro_bool_to_01.patch, and
    upstream_Fix-building-against-exiv2-0.27.patch.
    - add a lintian override for the spelling error in the upstream commit
      message

 -- Pino Toscano <pino@debian.org>  Thu, 06 Feb 2020 08:43:18 +0100

krename (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #848000, #874982)
    - brings updated translations (Closes: #718521, #730736)
  * Upstream is now kde.org, so:
    - switch Homepage to https://userbase.kde.org/KRename
    - rewrite watch file to download.kde.org
  * Update the patches:
    - 02_remove_desktop_deprecated_key.diff: drop, fixed upstream
    - find_libpodofo.patch: drop, fixed upstream
    - fix-freetype-includes.patch: drop, fixed upstream
    - fix-flags.diff: dropm fixed upstream
    - cmake-policy.diff: drop, obsolete
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5completion-dev,
      libkf5config-dev, libkf5coreaddons-dev, libkf5crash-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5itemviews-dev, libkf5jobwidgets-dev,
      libkf5kio-dev, libkf5kjs-dev,  libkf5service-dev,
      libkf5widgetsaddons-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump Standards-Version to 4.1.3, no changes required.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879361)
  * Enable the test suite, since it seems to be working fine now.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Feb 2018 11:14:03 +0100

krename (4.0.9-4) unstable; urgency=medium

  * Team upload.
  * Fix Vcs-Browser field.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Fix build with GCC 6; patch fix-flags.diff. (Closes: #811677)
  * Set the cmake minimum version required and policies; cmake-policy.diff.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Jun 2016 09:11:54 +0200
