=== debian/control ===
Source: krename
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Richard A. Johnson <nixternal@ubuntu.com>,
Build-Depends: cmake,
               debhelper-compat (= 12),
               extra-cmake-modules,
               libexiv2-dev,
               libfreetype-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5kjs-dev,
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libpodofo-dev,
               libtag1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev,
Standards-Version: 4.5.0
Homepage: https://userbase.kde.org/KRename
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krename
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krename.git

Package: krename
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: powerful batch renamer for KDE
 KRename is a very powerful batch file renamer for KDE which can rename a list
 of files based on a set of expressions. It can copy/move the files to another
 directory or simply rename the input files.
