=== src/pics/CMakeLists.txt ===
ecm_install_icons(ICONS
    32-apps-krename.png
    48-apps-krename.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)
ecm_install_icons(ICONS
    16-apps-krename.png
    32-apps-krename.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME locolor
)
