=== debian/changelog ===
krename (5.0.1-1build1) hirsute; urgency=medium

  * No-change rebuild for libpodofo soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2021 12:40:42 +0100

krename (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the upstream GPG signing key.
  * Update the patches:
    - upstream_Use-cmakedefine01-instead-of-macro_bool_to_01.patch:
      drop, backported from upstream
    - upstream_Fix-building-against-exiv2-0.27.patch: drop, backported
      from upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.7
    - explicitly add gettext
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add Rules-Requires-Root: no.
  * Remove the explicit as-needed linking, as it is done by binutils now.

 -- Pino Toscano <pino@debian.org>  Tue, 06 Oct 2020 07:13:24 +0200
