=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Richard A. Johnson <nixternal@ubuntu.com>,
-Build-Depends: cmake,
-               debhelper-compat (= 12),
+Build-Depends: cmake (>= 3.7~),
+               debhelper-compat (= 13),
                extra-cmake-modules,
+               gettext,
                libexiv2-dev,
                libfreetype-dev,
                libkf5completion-dev,
@@ -27,6 +28,7 @@
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://userbase.kde.org/KRename
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krename
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krename.git
