## krename 5.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
     -DQT_STRICT_ITERATORS
 )
 
-set(KRENAME_VERSION "5.0.1")
+set(KRENAME_VERSION "5.0.2")
 
 include(FindGettext)
