=== debian/changelog ===
krename (5.0.2-2fakesync1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:47:48 +1100

krename (5.0.2-2fakesync1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:16:53 +0000

krename (5.0.2-2fakesync1) noble; urgency=medium

  * fakesync due to mismatching asc file
    krename_5.0.2.orig.tar.xz.asc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Nov 2023 08:50:42 +0100

krename (5.0.2-2) unstable; urgency=medium

  * Backport upstream commit e7dd767a9a1068ee1fe1502c4d619b57d3b12add to build
    with exiv2 0.28.0+; patch
    upstream_Fix-build-with-exiv2-0.28-raise-minimum-to-0.27.patch
    - bump the libexiv2-dev build dependency to 0.27.0 accordingly
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2023 12:46:32 +0100

krename (5.0.2-1fakesync1) kinetic; urgency=medium

  * fakesync due to mismatching asc file
    krename_5.0.2.orig.tar.xz.asc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Sep 2022 19:11:04 +0200

krename (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Drop-i-from-desktop-file.patch: drop, backported from upstream
    - upstream_Add-parameters-to-appdata.xml.patch: drop, backported from
      upstream

 -- Pino Toscano <pino@debian.org>  Fri, 02 Sep 2022 09:30:24 +0200

krename (5.0.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Backport upstream commit 9e21688a83e5683ad77fca3be91afe351552287b to drop
    %i from desktop file, fixing the launch of krename from menus on Wayland;
    patch upstream_Drop-i-from-desktop-file.patch. (Closes: #1010744)
  * Backport upstream commit 9f9cbdef3254740d00bfe28abd8b5b579f52700b to add
    <launchable>, <content_rating>, and <releases> details in the AppStream XML
    file; patch upstream_Add-parameters-to-appdata.xml.patch.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Aug 2022 09:59:10 +0200
