=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: krename
 Section: utils
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Richard A. Johnson <nixternal@ubuntu.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.7~),
                debhelper-compat (= 13),
                extra-cmake-modules,
                gettext,
-               libexiv2-dev,
+               libexiv2-dev (>= 0.27.0~),
                libfreetype-dev,
                libkf5completion-dev,
                libkf5config-dev,
@@ -27,7 +28,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://userbase.kde.org/KRename
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krename
