## krename 5.0.2%2Bgit20250107.83b86fa

=== debian/changelog ===
krename (5.0.2+git20250107.83b86fa-1build2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:24:17 +0000

krename (5.0.2+git20250107.83b86fa-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 12:17:18 +0000

krename (5.0.2+git20250107.83b86fa-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot as of 2025-01-07.
  * debian/control: Drop unnecessary constraints.
  * debian/copyright: Updated.

  [ Bastian Germann ]
  * Drop build dependency libkf5kjs-dev.
  * Build with Qt6. (Closes: #1092175)
  * d/copyright: Convert to machine-readable format.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Jan 2025 14:19:52 -0500

krename (5.0.2-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against taglib 2.0.2.
  * debian/control: Update build-dep package name:
    + pkg-config => pkgconf.
    + libtag1-dev => libtag-dev.
  * debian/control: Bump Standards-Version 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 19:58:17 -0500
